import { defineConfig } from "eslint/config";
import globals from "globals";
import pluginVue from "eslint-plugin-vue";
import json from "@eslint/json";
import css from "@eslint/css";
import eslintConfigPrettier from 'eslint-config-prettier';


export default defineConfig([
  { files: ["**/*.{js,mjs,cjs,vue}"], languageOptions: { globals: globals.browser } },
  pluginVue.configs["flat/recommended"],
  { files: ["**/*.json"], plugins: { json }, language: "json/json" },
  { files: ["**/*.css"], plugins: { css }, language: "css/css" },
  eslintConfigPrettier
]);